Skip to main content

Documentation Index

Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Provides endpoints for exporting and importing agentic apps. This includes all app configurations, including agent configurations, all the tools in the app, event definitions, memory store definitions, MCP server configurations, and processor definitions.

Export App

The API provides an endpoint to initiate the export process. Upon success, the API returns a URL for a downloadable file containing the app configurations. The export includes the app, agent, and tool configurations associated with the specified app version.
MethodGET
Endpointhttps://<domain>/api/public/apps/<appId>/versions/<versionId>/export
Content-typeapplication/json
Authorization Headerx-api-key: <API-KEY>
API ScopeImport/Export

Additional Request Headers

FieldsDescriptionMandatory
appIdApplicationYes
versionIdApplication version to be exported.Yes

Sample Request

curl --location 'https://<domain>/api/public/apps/aa-53901286-xxxx-xxxxx-a8cd-0bb84a95f314/versions/version1.0/export' \
--header 'apikey: kg-3592a50e-xxxx-xxxx-xxxx-d45e59e1ba77.bcc56cdc-42d6-47b8-9aa9-6622ca7b7bc2' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data ''

Sample Response

Find the export file URL in the response.
{
    "app_id": "aa-53901286-83a3-xxxx-xxxx-0bb84a95f314",
    "version": "version1.0",
    "file_url": "https://<domain>/aaa/api/v1/getMediaStream/orgFiles/f-5e3f65d1-e427-xxxx-xxxx-42321be7fcfa.zip?n=1836955575&e=1779081726&repeatableUrl=true&filename=f-5e3f65d1-e427-4699-afc0-42321be7fcfa&s=b2RTMDJXMkkweDJpSWhueFphY29Qa1l1V2t3Tm01cGxwVW5VejFvcHZYRT0$"
}

Import App

The API provides an endpoint to import the application configuration.
The API lets you only import the app configuration into an existing application. To do this, first create a new app and generate an API key for it with the Import/Export scope enabled. Then, you can import using this API.
MethodPOST
Endpointhttps://<domain>/api/public/apps/import?importType=FULL
Content-typeapplication/json
Authorization Headerx-api-key: <API-KEY>
API ScopeImport/Export

Query Parameter

FieldsDescriptionMandatory
importTypeFor now, only complete app import is supported. Set this to FULL.Yes

Request Parameters

FieldsDescriptionMandatory
app_idThe unique identifier of the app to which the config has to be imported.Yes
file_urlURL of the config file. Use the full file URL as returned by the Export API.Yes

Sample Request

curl --location 'https://<domain>/api/public/apps/import?importType=FULL' \
--header 'apikey: kg-87001bcc-6b43-xxxx-xxxx-0166e4d28e06.87f0d989-aad1-45f6-a9a5-7ac17abcdf31' \
--header 'Content-Type: application/json' \
--data '{
    "app_id": "aa-a14b4c7f-xxxx-xxxx-b96a-75245a3e6e89",
    "file_url":"https://<domain>/aaa/api/v1/getMediaStream/orgFiles/f-12112db8-a2e6-xxxx-xxxx-3a5c8f95fcfd.zip?n=389667493&e=1779084557&repeatableUrl=true&filename=f-12112db8-a2e6-4bc1-b96f-3a5c8f95fcfd&s=NkdXNzJBZkFvWGhuOVdyVHoxZHYvaXZsUlM3Mjl6NGZaQUVqazk1RjdBRT0$"
}'

Sample Response

{
    "status": "success",
    "appId": "aa-a14b4c7f-xxxx-xxxx-b96a-75245a3e6e89",
    "message": "App imported successfully"
}